Name:          jsmpp
Version:       2.1.0
Release:       9%{?dist}
Summary:       Java SMPP (Short Message Peer-to-peer) API
License:       ASL 2.0
# No stable release yet
URL:           https://github.com/uudashr/jsmpp/
Source0:       http://jsmpp.googlecode.com/files/%{name}-%{version}-src.zip
Source1:       http://repo1.maven.org/maven2/com/googlecode/jsmpp/%{name}/%{version}-RELEASE/%{name}-%{version}-RELEASE.pom
Source2:       %{name}-osgi.bnd
# add beust-jcommander
Patch0:        %{name}-2.0.1-test-classpath.patch

BuildRequires: ant
BuildRequires: aqute-bnd
BuildRequires: java-javadoc
BuildRequires: javapackages-local
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(com.beust:jcommander)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
The Java implementation of SMPP protocol (currently supports SMPP v 3.4).

%package examples
Summary:       JSMPP examples
Requires:      %{name} = %{version}-%{release}

%description examples
This package contains %{name} examples.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
# cleanup
find -name "*.jar" -delete
find -name "*.class" -delete
find -name "*.bat" -delete
rm -r javadoc

%patch0 -p0

cp -p %{SOURCE1} pom.xml
cp -p %{SOURCE2} bnd.properties
sed -i "s|@VERSION@|%{version}|" bnd.properties

sed -i "s|http://java.sun.com/j2se/1.5.0/docs/api|%{_javadocdir}/java|" build.xml

%pom_xpath_set "pom:dependency[pom:groupId ='log4j']/pom:version" 1.2.17

ln -sf $(build-classpath log4j-1.2.17) lib/log4j-1.2.14.jar
ln -sf $(build-classpath slf4j/api) lib/slf4j-api-1.4.3.jar
ln -sf $(build-classpath slf4j/log4j12) lib/slf4j-log4j12-1.4.3.jar
ln -sf $(build-classpath testng) lib/testng-5.7-jdk15.jar
ln -sf $(build-classpath beust-jcommander) lib/

%mvn_file : %{name}
%mvn_alias :%{name} org.apache.servicemix.bundles:org.apache.servicemix.bundles.%{name}

%build

ant jar javadoc
# required by Apache Camel
bnd wrap -p bnd.properties -o %{name}.jar %{name}-%{version}.jar

%install
%mvn_artifact pom.xml %{name}.jar
%mvn_install -J javadoc

install -m 644 %{name}-examples.jar %{buildroot}%{_javadir}/

%files -f .mfiles
%doc CHANGES.txt
%license LICENSE.txt

%files examples
%{_javadir}/%{name}-examples.jar
%doc stress/*
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 17 2015 gil cattaneo <puntogil@libero.it> 2.1.0-6
- edit bnd wrap task
- use pom macro

* Thu Jul 16 2015 gil cattaneo <puntogil@libero.it> 2.1.0-5
- cleanup spec file

* Thu Jul 16 2015 gil cattaneo <puntogil@libero.it> 2.1.0-4
- use aqute-bnd 2.4.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 13 2015 gil cattaneo <puntogil@libero.it> 2.1.0-2
- fix Url tag

* Wed Jun 19 2013 gil cattaneo <puntogil@libero.it> 2.1.0-1
- initial rpm
